Local Community

PHP v7.3.5 ONLY usable on Mac 10.13.6 (High Sierra)

I have been using Local for 7 years without issues.

At the last upgrade (6.5.1) I auto updated and then everything broke. I have about 30 Local sites and NONE will work with any PHP version above 7.3.5.

If I change PHP to 7.4.1 or higher I get BAD GATEWAY 502 error. Switch back to v7.3.5 & all works well.

Anyone know how I can fix this? I am so worried about losing all of my LOCAL sites on my iMac.

I am currently on LOCAL v6.4.3+6116

Thanks in advance for any help

Hey @benselby - thanks for being a long-time Local user!

Do you know if your Mac is an Intel Mac or Apple Silicon (M1/M2)?

We were troubleshooting this with another user in a different thread - can you try closing Local, deleting this folder:
Mac: ~/Library/Application Support/Local/lightning-services

and then relaunching Local? We’re working on a fix right now, but that is a workaround that should resolve your issue.

No need to worry, your sites are fine and not going anywhere!

OMG austinwendt - I would HUG you if I could!

That worked! I cannot thank you enough - I live & die for Flywheel and just cannot imagine using Wordpress without it!

Thank you so much! I will now try upgrading to the latest version!

Best wishes Ben

1 Like

I’m glad that fixed it for you! Sorry about the trouble, we’ll get that patch out ASAP.

And thank you for the kind words! I passed that along to the rest of the Flywheel and Local teams too :heart:

Have a great day!

1 Like

This topic was automatically closed 36 hours after the last reply. New replies are no longer allowed.